## org.codehaus.groovy.groovydoc
Interface GroovyFieldDoc

All Superinterfaces:
  Comparable, GroovyDoc, GroovyMemberDoc, GroovyProgramElementDoc

All Known Implementing Classes:
  SimpleGroovyFieldDoc

    public interface GroovyFieldDoc

extends GroovyMemberDoc

Method Summary
`Object` `constantValue()`
`String` `constantValueExpression()`
`boolean` `isTransient()`
`boolean` `isVolatile()`
`GroovyType` `type()`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc
`isSynthetic`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### constantValue

    Object constantValue()

### constantValueExpression

    String constantValueExpression()

### isTransient

    boolean isTransient()

### isVolatile

    boolean isVolatile()

### type

    GroovyType type()

Copyright © 2003-2008 The Codehaus. All rights reserved.